<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adam Stalica
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("AAP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."adams_advertisements_panel/locale/Polish.php";
}

include INFUSIONS."adams_advertisements_panel/infusion_db.php";

add_to_head("<link rel='stylesheet' href='".INFUSIONS."adams_advertisements_panel/css/style.css' type='text/css' media='screen' />");

$button_id = (isset($_REQUEST['button_id']) && isnum($_REQUEST['button_id']) ? $_REQUEST['button_id'] : "");
$zakladka = (isset($_GET['typ']) ? $_GET['typ'] : "");
$typ = "";

switch ($zakladka) {
	case '':
	case 'index':
		$typ = 1;
	break;
	case 'operacje':
		$typ = 2;
	break;	
	case 'users':
		$typ = 3;
	break;
	case 'ustawienia':
		$typ = 4;
	break;	
}

opentable($locale['AAP'][1]['000']);

$nawi_width ='10%';
echo "<table class='navi'>\n";
	echo "<tr>\n";
		echo "<td".($typ == 1 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=index'>".$locale['AAP'][1]['001']."</a></td>\n";
		echo "<td".($typ == 2 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=operacje'>".$locale['AAP'][1]['002']."</a></td>\n";
		echo "<td".($typ == 3 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=users'>".$locale['AAP'][1]['003']."</a></td>\n";
		echo "<td".($typ == 4 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=ustawienia'>".$locale['AAP'][1]['004']."</a></td>\n";
	echo "</tr>\n";
echo "</table>\n";

switch ($zakladka) {
	case 'operacje':
		include INFUSIONS."adams_advertisements_panel/includes/admin/operacje.php";
	break;
	case 'users':
		include INFUSIONS."adams_advertisements_panel/includes/admin/users.php";
	break;
	case 'informacje':
		include INFUSIONS."adams_advertisements_panel/includes/admin/informacje.php";
	break;
	case 'ustawienia':
		include INFUSIONS."adams_advertisements_panel/includes/admin/ustawienia.php";
	break;
	case 'autor':
		include INFUSIONS."adams_advertisements_panel/autor.php";
	break;
	case 'index':
	default:
		include INFUSIONS."adams_advertisements_panel/includes/admin/index.php";
	break;
}

echo "<table width='100%'>\n";
	echo "<tr class='tbl2'>\n";
		echo "<td style='text-align: left; font-weight:bold; font-size: larger; padding: 10px 0 10px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;typ=autor'>".$locale['AAP'][1]['010']."</a></td>\n";
		echo "<td style='text-align: right; font-weight:bold; font-size: larger; padding: 10px 10px 10px 0;'><a href='".FUSION_SELF.$aidlink."&amp;typ=autor'>".$locale['AAP'][1]['011']."</a></td>\n";
	echo "</tr>\n";
echo "</table>\n";

closetable();
require_once THEMES."templates/footer.php";
?>