<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: operacje_ajax.php
| Author: Adam Stalica
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../../maincore.php";
include INFUSIONS."adams_advertisements_panel/infusion_db.php";
if (file_exists(INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."adams_advertisements_panel/locale/Polish.php";
}

switch ($_GET['typ']) {
	case 'reload':
		$on = "<img src='".INFUSIONS."adams_advertisements_panel/images/yes.png' alt='".$locale['AAP'][2]['016a']."' />";
		$off = "<img src='".INFUSIONS."adams_advertisements_panel/images/no.png' alt='".$locale['AAP'][2]['016b']."' />";
		$kolejnosc = 0;
		$result = dbquery("SELECT * FROM ".DB_AAP." ORDER BY button_order ASC");
		while ($data = dbarray($result)) {
			$kolejnosc++;
			$button_views_day = dbrows(dbquery("SELECT * FROM ".DB_AAP_VIEWS." WHERE button_id='".$data['button_id']."'"));
			$order .= "<tr id='".$data['button_id']."'>\n";
				$order .= "<td class='handle'><img src='".INFUSIONS."adams_advertisements_panel/images/arrow.png' alt='".$locale['AAP'][2]['010a']."' />\n";
				$order .= "<td>$kolejnosc.</td>\n";
				$order .= "<td>".$data['button_name']."</td>\n";
				$order .= "<td>".$data['button_views'].($data['button_limit_views'] != 0 ? "/".$data['button_limit_views'] : "")."</td>\n";
				$order .= "<td>".(($data['button_limit_views'] == 0 || $data['button_views'] < $data['button_limit_views']) ? $on : $off)."</td>\n";
				$order .= "<td>".$button_views_day.($data['button_limit_views_day'] != 0 ? "/".$data['button_limit_views_day'] : "")."</td>\n";
				$order .= "<td>".(($data['button_limit_views_day'] == 0 || $button_views_day < $data['button_limit_views_day']) ? $on : $off)."</td>\n";
				$order .= "<td>".$data['button_odslon'].($data['button_limit_odslon'] != 0 ? "/".$data['button_limit_odslon'] : "")."</td>\n";
				$order .= "<td>".(($data['button_limit_odslon'] == 0 || $data['button_odslon'] < $data['button_limit_odslon']) ? $on : $off)."</td>\n";
				$order .= "<td>".$data['button_clicks'].($data['button_limit_clicks'] != 0 ? "/".$data['button_limit_clicks'] : "")."</td>\n";
				$order .= "<td>".(($data['button_limit_clicks'] == 0 || $data['button_clicks'] < $data['button_limit_clicks']) ? $on : $off)."</td>\n";
				$order .= "<td class='zmien_status' onclick='zmien_status(".$data['button_id'].")'>".($data['button_status'] == 1  ? $on : $off)."</td>\n";
				$order .= "<td><a href='".INFUSIONS."adams_advertisements_panel/admin.php".$aidlink."&amp;typ=informacje&amp;button_id=".$data['button_id']."' title='".$locale['AAP'][2]['017b']."'>".$locale['AAP'][2]['017a']."</a></td>\n";
				$order .= "<td><a href='".INFUSIONS."adams_advertisements_panel/admin.php".$aidlink."&amp;typ=operacje&amp;rodzaj=edit&amp;co=".(!empty($data['button_image']) ? "button" : "script")."&amp;button_id=".$data['button_id']."' title='".$locale['AAP'][2]['018b']."'>".$locale['AAP'][2]['018a']."</a></td>\n";
				$order .= "<td><a href='".INFUSIONS."adams_advertisements_panel/admin.php".$aidlink."&amp;typ=operacje&amp;rodzaj=del&amp;button_id=".$data['button_id']."' title='".$locale['AAP'][2]['019b']."' onclick=\"return confirm('".$locale['AAP'][2]['019c']."')\">".$locale['AAP'][2]['019a']."</a></td>\n";
			$order .= "</tr>\n";
		}
		echo $order;
	break;
	case 'kolejnosc':
		if (isset($_GET['reklamy'])) {

		$reklamy = explode("&", str_replace("reklamy[]=", "", $_GET['reklamy']));

			foreach($reklamy as $pozycja => $element) {
				
				if ($pozycja != 0 && $pozycja != count($reklamy)-1) {		
					dbquery("UPDATE ".DB_AAP." SET button_order='".$pozycja."' WHERE button_id='".$element."'");
				}		
			}

		}
	break;
	case 'status':
		$result = dbquery("SELECT button_status FROM ".DB_AAP." WHERE button_id='".$_GET['button_id']."'");
		$data = dbarray($result);
		$status = "";
		if ($data['button_status'] == 1) {
			$status = 0;
		} else {
			$status = 1;
		}
		$result = dbquery("UPDATE ".DB_AAP." SET button_status='".$status."' WHERE button_id='".$_GET['button_id']."'");
	break;
}
?>