<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: adams_advertisements_panel.php
| Author: Adam Stalica
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."adams_advertisements_panel/locale/Polish.php";
}

require_once (INFUSIONS."adams_advertisements_panel/infusion_db.php");
require_once (INFUSIONS."adams_advertisements_panel/includes/settings.php");
add_to_head("<script type='text/javascript' src='".INFUSIONS."adams_advertisements_panel/js/panele.js'></script>");

if (dbrows(dbquery("SHOW TABLES LIKE '".DB_AAP_ODSLONY."'")) == 1) {
	$result = dbquery("DELETE FROM ".DB_AAP_ODSLONY." WHERE day <> '".date('j')."'");
}
if (dbrows(dbquery("SHOW TABLES LIKE '".DB_AAP_VIEWS."'")) == 1) {
	$result = dbquery("DELETE FROM ".DB_AAP_VIEWS." WHERE day <> '".date('j')."'");
}

if (dbrows(dbquery("SHOW TABLES LIKE '".DB_AAP."'")) == 1) {	

	openside($panel_name);
		$order = "";
		$limit = "";
		if ($typ == 1) {
			$order = "RAND()";
			$limit = " LIMIT 0,1";
		} elseif ($typ == 4) {
			$order = "button_order DESC";
		} else {
			$order = "button_order ASC";
		}
		$result = dbquery("SELECT * FROM ".DB_AAP."
							WHERE (button_status = '1'
							&& (button_limit_views = '0' || button_views < button_limit_views)
							&& (button_limit_views_day = '0' || button_limit_views_day != '0')
							&& (button_limit_clicks = '0' || button_clicks < button_limit_clicks)
							&& (button_limit_odslon = '0' || button_odslon < button_limit_odslon))
							ORDER BY ".$order.$limit."");
		$ile = dbrows($result);

		if ($ile > 0) {		
			if ($typ == 1) {
				include INFUSIONS."adams_advertisements_panel/includes/panele/pojedynczy_button.php";
			} elseif ($typ == 2) {
				include INFUSIONS."adams_advertisements_panel/includes/panele/advertisement.php";
			} elseif ($typ == 3) {
				include INFUSIONS."adams_advertisements_panel/includes/panele/standing_advertising.php";
			} elseif ($typ == 4) {
				include INFUSIONS."adams_advertisements_panel/includes/panele/marqee.php";
			}
		} else {
			echo "<div style='text-align: center;'>".$locale['AAP'][2]['001']."</div>";
		}
		if ($show_client) {
			if ($rights_client) {
				echo "<div style='text-align: center;'><a href='".INFUSIONS."adams_advertisements_panel/button_client.php'>".$locale['AAP'][9]['000']."</a></div>";
			}
		}
	closeside();
	
}
?>