<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Adam Stalica
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."adams_advertisements_panel/locale/Polish-utf8.php";
}

include INFUSIONS."adams_advertisements_panel/infusion_db.php";

$inf_title = $locale['AAP'][0]['inf_title'];
$inf_description = $locale['AAP'][0]['inf_description'];
$inf_version = "0.3 BETA";
$inf_developer = $locale['AAP'][0]['inf_developer'];
$inf_email = "adamstalica@vp.pl";
$inf_weburl = "";

$inf_folder = "adams_advertisements_panel";

$inf_newtable[1] = DB_AAP." (
	button_id int(11) UNSIGNED NOT NULL auto_increment,
	button_order int(3) UNSIGNED NOT NULL,
	button_status tinyint(1) UNSIGNED NOT NULL default '1',
	button_name char(255) NOT NULL,
	button_image char(255) NOT NULL,
	button_script TEXT NOT NULL,
	button_height char(25) NOT NULL,
	button_width char(25) NOT NULL,
	button_link char(255) NOT NULL,
	button_alt char(255) NOT NULL,
	button_title TEXT NOT NULL,
	button_limit_clicks int(50) UNSIGNED NOT NULL default '0',
	button_clicks int(50) UNSIGNED NOT NULL default '0',
	button_limit_odslon int(50) UNSIGNED NOT NULL default '0',
	button_odslon int(50) UNSIGNED NOT NULL default '0',
	button_limit_views int(50) UNSIGNED NOT NULL default '0',
	button_views int(50) UNSIGNED NOT NULL default '0',
	button_limit_views_day int(50) UNSIGNED NOT NULL default '0',
	button_client int(11) UNSIGNED NOT NULL,
	PRIMARY KEY  (button_id)
) ENGINE=MyISAM";

$inf_newtable[2] = DB_AAP_ODSLONY." (
	day tinyint(2) UNSIGNED NOT NULL,
	user_ip char(20) NOT NULL default '0.0.0.0',	
	button_id int(11) UNSIGNED NOT NULL
) ENGINE=MyISAM";

$inf_newtable[3] = DB_AAP_VIEWS." (
	day tinyint(2) UNSIGNED NOT NULL,
	user_ip char(20) NOT NULL default '0.0.0.0',	
	button_id int(11) UNSIGNED NOT NULL
) ENGINE=MyISAM";

$inf_newtable[4] = DB_AAP_CLIENTS." (
	client_id int(11) UNSIGNED NOT NULL auto_increment,
	client_name char(30) NOT NULL,
	client_pass char(32) NOT NULL,
	PRIMARY KEY (client_id)
) ENGINE=MyISAM";

$inf_newtable[5] = DB_AAP_SETTINGS." (
	panel_name varchar(200) NOT NULL,
	folder char(255) NOT NULL,
	typ tinyint(1) UNSIGNED NOT NULL,
	show_client tinyint(1) UNSIGNED NOT NULL,
	rights_client tinyint(1) UNSIGNED NOT NULL,
	opcja_dodatkowa tinyint(1) UNSIGNED NOT NULL,
	direction tinyint(1) UNSIGNED NOT NULL,
	button_height char(25) NOT NULL,
	button_width char(25) NOT NULL,
	button_alt char(255) NOT NULL,
	button_distance char(25) NOT NULL
) ENGINE=MyISAM";
	
$inf_insertdbrow[1] = DB_AAP_SETTINGS." (panel_name, folder, show_client, rights_client, typ, opcja_dodatkowa, direction, button_height, button_width, button_alt, button_distance) VALUES('Reklamy', 'images/buttony/', '1', '4', '4', '3', '2', '70px', '170px', 'Błąd obrazka!', '')";

$inf_droptable[1] = DB_AAP;
$inf_droptable[2] = DB_AAP_ODSLONY;
$inf_droptable[3] = DB_AAP_VIEWS;
$inf_droptable[4] = DB_AAP_CLIENTS;
$inf_droptable[5] = DB_AAP_SETTINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['AAP'][0]['inf_adminpanel_title'],
	"image" => "image.gif",
	"panel" => "admin.php",
	"rights" => "AAP"
);

if (isset($_POST['infuse'])) {
	mail ("adamstalica@vp.pl", "Wtyczka zainstalowana!", "Wtyczkę ".$inf_title." v".$inf_version." poprawnie zaistalowano na stronie: <a href='".$settings['siteurl']."'>".$settings['sitename']."</a>! (".$settings['siteurl'].")", "Content-type: text/html; charset=utf-8".PHP_EOL);
}
?>